#include "ITrayVolumeSliderItem.h"


ITrayVolumeSliderItem::ITrayVolumeSliderItem(std::shared_ptr<ITrayVolumeSlider> slider, QPushButton* btn) :
    m_pVolumeSlider(slider), m_pIconBtn(btn)
{

}

std::shared_ptr<ITrayVolumeSlider> ITrayVolumeSliderItem::getSlider() const
{
    return m_pVolumeSlider;
}

QPushButton* ITrayVolumeSliderItem::getIconButton() const
{
    return m_pIconBtn;
}
